
Foreman - Bug #13565

EOFError (bad content body) browsing web UI in IE 10

02/04/2016 08:37 AM - Shawn Thoreson

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Spun up a VM Server using ol-server-7.2-x86_64-dvd.iso

Selected Software: Server with GUI, FTP Server,  Java Platform, Network File System Client, Performance Tools, Print Server,

Compatibilities Libraries, Development Tools

Verified public-yum-ol7.repo had correctly enabled latest, UEKR3, optional, and addons

yum update (Was successful)

vi /etc/selinux/config

Selinux=disabled

systemctl stop firewalld

systemctl disable firewalld

systemctl start sshd.service

systemctl enable sshd.service

At this point, the OL7 server was installed successfully and no errors in messages, etc...

Directly from the Foreman 1.10 Quick Start guide:

rpm -Uvh http://download.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm

rpm -ivh http://yum.puppetlabs.com/puppetlabs-release-el-7.noarch.rpm

yum -y install epel-release http://yum.theforeman.org/releases/latest/el7/x86_64/foreman-release.rpm

yum -y install foreman-installer

yum clean all

vi each repo and enable SRMS and all other relevant stuff

yum repolist

yum update

foreman-installer

puppet agent --test

No Errors in foreman/puppet logs.

At this point, Foreman is successfully up and running.  I am able to login and navigate through Foreman without any issues.

However, anytime I bring up an EXISTING object or create a NEW object, (ie.. create new domain, or smart proxy, etc) and click the

Submit button, I get the following error:

"We're sorry, but something went wrong. We've been notified about this issue and we'll take a look at it shortly."

Within /var/log/foreman/production.log, the only error shown is the following:  | Started GET "/domains" for 10.17.100.130 at

2016-02-03 10:38:13 -0600

2016-02-03 10:38:13 [app] [F]  | EOFError (bad content body):  |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

I repeated this exact same installation process using ver. Foreman Installer 1.9, I don't get the errors.

Again, the issue appears to be across the board every time I click the Submit Button in 1.10.

Enabling Debug mode doesn't show any more detail in regard to the error.
Any help would be appreciated.

UPDATE:

I tested Foreman 1.10 using IE 10 and Chrome 48.

The error above only happens in IE.  This same process works using Chrome.

Something about IE ver 10.0.9/11x and Foreman 1.10 foreman-installer is not playing well together.

History

#1 - 02/04/2016 09:19 AM - Dominic Cleal

- Project changed from Installer to Foreman

- Subject changed from OL7 using Foreman 1.10 Installer - EOFError (bad content body) to EOFError (bad content body) browsing web UI in IE 10

- Category set to Web Interface

Unsure which component's at fault here, moving to the main project until it can be determined.

#2 - 02/28/2016 07:19 AM - Shlomi Zadok

- Status changed from New to Need more information

Could you please post some more log info? foreman debugger would be best, if not possible please add some more of the production.log so we can

get a full context.

My guesstimate is CORS in IE10 issue or lack of support in jsdiff (used in editor.js).

Thanks!

#3 - 05/17/2017 03:22 PM - Anonymous

- Status changed from Need more information to Resolved

no reaction, closing
